version: '3.7'

services:
  nginx:
    image: nginx
    container_name: nginx
    restart: always
    ports:
      - 443:443
      - 80:80
    volumes:
      - "$PWD/config/nginx.conf:/etc/nginx/nginx.conf"
    #   - "$PWD/certs/:/etc/nginx/certs"

  xnat-db:
    image: postgres:13.3-alpine
    container_name: xnat-db
    restart: always
    environment:
      - POSTGRES_USER=xnat
      - POSTGRES_PASSWORD=xnat-super-secret-password
      - PGDATA=/var/lib/postgresql/data/pgdata
    volumes:
      - "./data/db:/var/lib/postgresql/data"

  xnat:
    image: registry.gitlab.com/radiology/infrastructure/docker-images/xnat:release-1-8-2
    container_name: xnat
    restart: unless-stopped
    environment:
      XNAT_DATA: /xnatdata/
      XNAT_HOME: /xnatdata/home
      XNAT_DB_HOST: xnat-db
      XNAT_DB_NAME: xnat
      XNAT_DB_USERNAME: xnat
      XNAT_DB_PASSWORD: xnat-super-secret-password
      JAVA_OPTS: "-Xms2g -Xmx4g"
    volumes:
      - "./data/xnat:/xnatdata/"
    ports:
      - "8104:8104"
